org.springframework.batch.core.configuration.xml

## Class StepListenerParser

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.AbstractListenerParser
  - - org.springframework.batch.core.configuration.xml.StepListenerParser

-     public class StepListenerParser
      extends AbstractListenerParser

  Parser for a step listener element. Builds a `StepListenerFactoryBean` using attributes from the configuration.
  Since:
    2.0
  Author:
    Dan Garrette
  See Also:
    `AbstractListenerParser`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepListenerParser()`
    `StepListenerParser(ListenerMetaData[] listenerMetaData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class<? extends AbstractListenerFactoryBean<?>>` | `getBeanClass()`
    `protected ListenerMetaData[]` | `getMetaDataValues()`
    `void` | `handleListenersElement(org.w3c.dom.Element stepElement, org.springframework.beans.factory.config.BeanDefinition beanDefinition, org.springframework.beans.factory.xml.ParserContext parserContext)`

    - ### Methods inherited from class org.springframework.batch.core.configuration.xml.AbstractListenerParser

      `doParse, parse, parseListenerElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepListenerParser

          public StepListenerParser()

    - #### StepListenerParser

          public StepListenerParser(ListenerMetaData[] listenerMetaData)

  - ### Method Detail

    - #### getBeanClass

          protected java.lang.Class<? extends AbstractListenerFactoryBean<?>> getBeanClass()

      Specified by:
        `getBeanClass` in class `AbstractListenerParser`

    - #### getMetaDataValues

          protected ListenerMetaData[] getMetaDataValues()

      Specified by:
        `getMetaDataValues` in class `AbstractListenerParser`

    - #### handleListenersElement

          public void handleListenersElement(org.w3c.dom.Element stepElement,
                                             org.springframework.beans.factory.config.BeanDefinition beanDefinition,
                                             org.springframework.beans.factory.xml.ParserContext parserContext)